QGIS Application - Bug report #17027

[Composer] "Follow map theme" option slow down composer ui when used with complex projects

2017-08-17 12:30 PM - Dominique Lyszczarz

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 24926

Description

| often encounter performance drop down of the composer interface when enabled "Follow map theme" option with relatively complex
projects, for example about 20 layers (some of them with multiple styles) and a few map themes. Selecting, moving or editing item of the
composer become completly unresponsive, disable the option brings everything back to normal.

Associated revisions

Revision f5876eab - 2018-01-19 12:25 AM - Nyall Dawson

[layouts] Don't needlessly calculate layer sets for maps linked
to a map theme

This is very expensive to do, so avoid calculating it as much

as possible

Refs #17027

Revision 0e08e329 - 2018-01-19 12:25 AM - Nyall Dawson

[layout] Cache map item theme preset lookups

Since theme style override lookups are expensive, cache them

to avoid unnecessary duplicate calls

Fixes #17027

History

#1 - 2017-08-17 01:57 PM - Giovanni Manghi
- Status changed from Open to Feedback

Is this just in master or also 2.18?

#2 - 2017-08-17 02:09 PM - Dominique Lyszczarz

Only in master
#3 - 2017-08-17 02:17 PM - Giovanni Manghi
- Priority changed from Normal to High

- Regression? changed from No to Yes

- Status changed from Feedback to Open

#4 - 2018-01-19 12:25 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|0e08e329f4a7628ea7a0b9ef0cOcffb910aad637.

#5 - 2018-02-22 11:19 AM - Giovanni Manghi
- Resolution set to fixed/implemented

2025-06-13 22



